### A free/open-source library for quantitative finance

Classes
ql/instruments/dividendbarrieroption.hpp File Reference

Barrier option on a single asset with discrete dividends. More...

`#include <ql/instruments/barrieroption.hpp>`
`#include <ql/instruments/dividendschedule.hpp>`
`#include <ql/instruments/payoffs.hpp>`
Include dependency graph for dividendbarrieroption.hpp:

## Classes

class | DividendBarrierOption
| Single-asset barrier option with discrete dividends. More...
class | DividendBarrierOption::arguments
| Arguments for dividend barrier option calculation More...
class | DividendBarrierOption::engine
| Dividend-barrier-option engine base class More...

## Detailed Description

Barrier option on a single asset with discrete dividends.